#include <stdio.h>
#include <stdlib.h>

void Game(int N, int Q);

static int N, Q, S, G;

int main(int argc, char *argv[]) {
  if(argc > 1) {
    fprintf(stderr, "usage: %s\n", argv[0]);
    return 127;
  }
  if(scanf("%d%d%d", &N, &Q, &S) < 3) {
    fprintf(stderr, "error: can't read from stdin\n");
    return 127;
  }
  G = 0;
  Game(N, Q);
  printf("Wrong Answer [%d]\n", 3);
  exit(3);
}

int Guess(int X) {
  if(X <= 0 || N < X) {
    printf("Wrong Answer [%d]\n", 1);
    exit(1);
  }
  if(G >= Q) {
    printf("Wrong Answer [%d]\n", 2);
    exit(2);
  }
  ++G;
  if(X == S) {
    printf("Accepted : G = %d\n", G);
    exit(0);
  } else if(X < S) {
    return -1;
  } else {
    return 1;
  }
}
